Bug 169112 - Review request: perl-Pod-Tests - Extract embedded tests and code examples from POD
Review request: perl-Pod-Tests - Extract embedded tests and code examples fro...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
http://search.cpan.org/dist/Pod-Tests/
:
Depends On:
Blocks: FE-ACCEPT 168213
  Show dependency treegraph
 
Reported: 2005-09-23 02:19 EDT by Ralf Corsepius
Modified: 2010-06-27 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 12:24:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-23 02:19:31 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Pod-Tests.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Pod-Tests-0.18-1.src.rpm

Description:
Pod::Tests extracts embedded tests and code examples from POD.
pod2test convert embedded tests and code examples to .t files.
Comment 1 Jose Pedro Oliveira 2005-09-29 14:56:16 EDT
MD5SUMS:
5759433d218f707b42bf817f18f0ff3c  perl-Pod-Tests-0.18-1.src.rpm

806cbf688c8992a7373e3adcb2377e9d  perl-Pod-Tests.spec
dab7e41c23a1c01fa3e96f6237781dda  Pod-Tests-0.18.tar.gz


Just append the following line 

    %{__perl} -pi -e 's/\r\n/\n/' Changes

to the %prep section and consider this package approved.
Comment 2 Ralf Corsepius 2005-09-29 21:23:34 EDT
(In reply to comment #1)

> Just append the following line 
> 
>     %{__perl} -pi -e 's/\r\n/\n/' Changes
> 
> to the %prep section and consider this package approved.

Since when is using \r\n eol encodings in informative text files prohibited?
I know, rpmlint feels anal about this and is stupid enough to warn about them,
but whatfor? Where is the sense behind this?

This file is not interpreted by any tool, it is mere text, which happens to be
encoded with DOS line encodings.
Comment 3 Ralf Corsepius 2005-10-06 12:25:50 EDT
Housekeeping - Package had been approved and released.
Comment 4 Mark Chappell 2010-06-27 03:09:44 EDT
Package Change Request
======================
Package Name: perl-Pod-Tests
New Branches: EL-6
Owners: tremble

corsepiu listed as not interested in EPEL
Comment 5 Jason Tibbitts 2010-06-27 12:51:57 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.